Bug 513774 - Review Request: python-firkin - A python module to convert between different measurement units
Summary: Review Request: python-firkin - A python module to convert between different ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-07-25 17:35 UTC by Fabian Affolter
Modified: 2009-10-27 13:06 UTC (History)
3 users (show)

Fixed In Version: 0.02-2.fc10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-15 08:10:15 UTC
Type: ---
tibbs: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Fabian Affolter 2009-07-25 17:35:38 UTC
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/python-firkin.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/python-firkin-0.02-1.fc11.src.rpm

Project URL: http://www.florian-diesch.de/software/firkin/

Description:
firkin is a python module to convert between different measurement
units. 

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1511978

rpmlint output:
[fab@laptop09 SRPMS]$ rpmlint python-firkin-0.02-1.fc11.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop09 noarch]$ rpmlint python-firkin-0.02-1.fc11.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 1 Jason Tibbitts 2009-07-29 22:57:15 UTC
Not much to this one; builds fine and rpmlint is clean.

* source files match upstream.  sha256sum:
   f53e67eac5d04b7cfb52803ff9eb907bfacb115bbdfdef882c7a5907d6d0ae4e
   firkin-0.02.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.                                                              
* description is OK.                                                          
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
   python-firkin = 0.02-1.fc12
  =
   python(abi) = 2.6

* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED

The package review process needs reviewers!  If you haven't done any package
reviews recently, please consider doing one.

Comment 2 Fabian Affolter 2009-07-30 07:41:11 UTC
Thanks for the review, Jason.

Comment 3 Fabian Affolter 2009-07-30 07:42:11 UTC
New Package CVS Request
=======================
Package Name: python-firkin
Short Description:  A python module to convert between different measurement units
Owners: fab
Branches: F-10 F-11
InitialCC:

Comment 4 Jason Tibbitts 2009-07-30 22:53:05 UTC
CVS done.

Comment 5 Fedora Update System 2009-08-01 11:19:17 UTC
python-firkin-0.02-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/python-firkin-0.02-2.fc10

Comment 6 Fedora Update System 2009-08-01 11:19:22 UTC
python-firkin-0.02-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/python-firkin-0.02-2.fc11

Comment 7 Fedora Update System 2009-08-02 00:00:45 UTC
python-firkin-0.02-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-firkin'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8217

Comment 8 Fedora Update System 2009-08-02 00:01:52 UTC
python-firkin-0.02-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-firkin'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-8213

Comment 9 Fedora Update System 2009-08-15 08:10:10 UTC
python-firkin-0.02-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2009-08-15 08:20:07 UTC
python-firkin-0.02-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.